Subject: bug#19184: coreutils-8.23 Compile Error on Solaris 8 - Sun Studio 11

From: Ted Carr <[email-masked]>
Date: Tue, 25 Nov 2014 21:21:04 +0000

Hello All,

Apologies for accidentally sending this to the "general questions list", meant to send it here.

I have a need to compile Coreutils for Solaris 8...  I am using Sun Studio 11 (cc: Sun C 5.8 Patch 121015-07 2009/04/22) to try and compile the source and I am getting the following error:

bash-2.03$ make

  GEN      man/dynamic-deps.mk

  GEN      lib/c++defs.h

  GEN      lib/warn-on-use.h

  GEN      lib/arg-nonnull.h

  GEN      lib/arpa/inet.h

  GEN      lib/configmake.h

  GEN      lib/ctype.h

  GEN      lib/dirent.h

  GEN      lib/fcntl.h

  GEN      lib/fnmatch.h

  GEN      lib/getopt.h

  GEN      lib/iconv.h

  GEN      lib/inttypes.h

  GEN      lib/langinfo.h

  GEN      lib/locale.h

  GEN      lib/math.h

  GEN      lib/netdb.h

  GEN      lib/pthread.h

  GEN      lib/unused-parameter.h

  GEN      lib/selinux/selinux.h

  GEN      lib/selinux/context.h

  GEN      lib/signal.h

  GEN      lib/stdalign.h

  GEN      lib/stdbool.h

  GEN      lib/stdint.h

  GEN      lib/stdio.h

  GEN      lib/stdlib.h

  GEN      lib/string.h

  GEN      lib/sys/ioctl.h

  GEN      lib/sys/resource.h

  GEN      lib/sys/select.h

  GEN      lib/sys/socket.h

  GEN      lib/sys/stat.h

  GEN      lib/sys/time.h

  GEN      lib/sys/types.h

  GEN      lib/sys/uio.h

  GEN      lib/sys/utsname.h

  GEN      lib/sys/wait.h

  GEN      lib/termios.h

  GEN      lib/time.h

  GEN      lib/unistd.h

  GEN      lib/unistr.h

  GEN      lib/unitypes.h

  GEN      lib/uniwidth.h

  GEN      lib/wchar.h

  GEN      lib/wctype.h

  GEN      src/coreutils.h

bash: -c: line 1: syntax error near unexpected token `;'

*** Error code 2

make: Fatal error: Command failed for target `src/coreutils.h'

bash-2.03$

Any help would be much appreciated.

Cheers,
Ted